IASL(1)

NAME
iasl - ACPI Source Language compiler/decompiler

SYNOPSIS
iasl [<option>...] <input-file> ...

DESCRIPTION
This manual page briefly documents the iasl command. The option list is taken from the iasl interactive help.

iasl is an ASL compiler and decompiler. This command provides both the ability to translate one or more ASL source files to their corresponding AML binary files, and the ability to translate AML binary files back to readable ASL source.

Much more detailed documentation may be found at http://www.acpica.org/documentation/.

OPTIONS

  Global

-@ <file>
    Specify command file

-I <dir>
    Specify additional include directory

-T <sig>|ALL|*
    Create table template file for ACPI <sig>

-v  Display compiler version

  Preprocessor

-D <symbol>
    Define sybol for preprocessor use

-li Create prepocessed output file (*.i)

-P  Preprocess only and create preprocessor output file (*.i)

-Pn Disable preprocessor

  General Output

-p <prefix>
    Specify path/filename prefix for all output files

-va Disable all errors and warnings (summary only)

-vi Less verbose errors and warnings for use with IDEs

-vo Enable optimization comments

-vr Disable remarks

-vs Disable signon

-w{1|2|3}
    Set warning reporting level

-we Report warnings as errors

  AML and Data Output Files

-s{a|c}
    Create assembler or C source file (*.asm or *.c)

-i{a|c}
    Create assembler or C include file (*.inc or *.h)

-t{a|c|s}
    Create assembler, C, or ASL hex table (*.hex)

  AML Code Generation

-oa Disable all optimizations (compatibility mode)

-of Disable constant folding

-oi Disable integer optimization to Zero/One/Ones

-on Disable named reference string optimization

-cr Disable Resource Descriptor error checking

-in Ignore NoOp operators

-r <revision>
    Override table header Revision (1-255)

  ASL Listing Files

-l  Create mixed listing file (ASL source and AML) (*.lst)

-ln Create namespace file (*.nsp)

-ls Create combined source file (expanded includes) (*.src)

  ACPI Data Tables

-G  Compile custom table containing generic operators

-vt Create verbose templates (full disassembly)

  AML Disassembler

-d [<file>]
    Disassemble AML to ASL source code file (*.dsl)

-da [<file1>,<file2>]
    Disassemble multiple tables from single namespace

-db Do not translate Buffers to Resource Templates

-dc [<file>]
    Disassemble AML and immediately compile it
    (Obtain DSDT from current system if no input file)

-e [<file1>,<file2>]
    Include ACPI table(s) for external symbol resolution

-g  Get ACPI tables and write to files (*.dat)

-in Ignore NoOp opcodes

-vt Dump binary table date in hex format within output file

  Help

-h  Additional help and compiler debug options

-hc Display operators allowed in constant expressions

-hf Display help for output file name generation

-hr Display ACPI reserved method names

-ht Display currently supported ACPI table names

  Debug

-b{f|t}
    Create debug file (full or parse tree only) (*.txt)

-f  Ignore errors, force creation of AML output file(s)

-n  Parse only, no output generation

-ot Display compiles times and statistics

-x <level>
    Set debug level for trace output

-z  Do not insert new compiler ID for DataTables

AUTHOR
iasl was written by Robert Moore <robert.moore@intel.com>.

This manual page was written by Mattia Dongili <malattia@debian.org>, for the Debian project (but may be used by others). It was updated for the Fedora project by Al Stone <ahs3@redhat.com> (and may also be used by others).